import React, { ReactNode } from "react";
/**

 <ObserveMultiStateProperties
 listeners=[
 {listenTo: anobject, propertyName: 'propName' },
 {listenTo: anotherobject, propertyName: 'propName' }
 ],
 control={() => {
            return (

            );
        }}
 />
 **/
export declare class ObserveMultiStateProperties extends React.Component<{
    listeners: {
        listenTo: object | null | undefined;
        propertyName: string;
    }[];
    control: () => JSX.Element | ReactNode;
}> {
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
}
